<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" 
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goomood.phm.mapper.FaultMonitorAMapper">

    <!-- 根据日期范围查询故障记录 -->
    <select id="findByIncidentDateBetween" resultType="com.goomood.phm.domain.FaultMonitorA">
        SELECT * FROM fault_monitor
        WHERE incident_date BETWEEN #{startDate} AND #{endDate}
    </select>

</mapper>    